Index: branches/version-2_13_0/data/module/Calendar/Engine/PearDate.php
===================================================================
--- branches/version-2_13_0/data/module/Calendar/Engine/PearDate.php	(revision 23126)
+++ branches/version-2_13_0/data/module/Calendar/Engine/PearDate.php	(revision 23143)
@@ -1,40 +1,27 @@
 <?php
 /* vim: set expandtab tabstop=4 shiftwidth=4: */
-
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2002 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/3_0.txt.                                  |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Lorenzo Alberton <l dot alberton at quipo dot it>           |
+// +----------------------------------------------------------------------+
+//
+// $Id: PearDate.php,v 1.8 2004/08/20 20:00:55 quipo Exp $
+//
 /**
- * Contains the Calendar_Engine_PearDate class
- *
- * PHP versions 4 and 5
- *
- * LICENSE: Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- * 3. The name of the author may not be used to endorse or promote products
- *    derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
- * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE FREEBSD PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY
- * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
- * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
- * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @version   CVS: $Id: PearDate.php 269076 2008-11-15 21:41:38Z quipo $
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
+ * @version $Id: PearDate.php,v 1.8 2004/08/20 20:00:55 quipo Exp $
  */
-
 /**
  * Load PEAR::Date class
@@ -45,11 +32,5 @@
  * Performs calendar calculations based on the PEAR::Date class
  * Timestamps are in the ISO-8601 format (YYYY-MM-DD HH:MM:SS)
- *
- * @category  Date and Time
- * @package   Calendar
- * @author    Lorenzo Alberton <l.alberton@quipo.it>
- * @copyright 2003-2007 Lorenzo Alberton
- * @license   http://www.debian.org/misc/bsd.license  BSD License (3 Clause)
- * @link      http://pear.php.net/package/Calendar
+ * @package Calendar
  * @access protected
  */
@@ -60,7 +41,5 @@
      * Uses a static variable to prevent date() being used twice
      * for a date which is already known
-     *
-     * @param mixed $stamp Any timestamp format recognized by Pear::Date
-     *
+     * @param mixed Any timestamp format recognized by Pear::Date
      * @return object Pear::Date object
      * @access protected
@@ -77,7 +56,5 @@
     /**
      * Returns a numeric year given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int year (e.g. 2003)
      * @access protected
@@ -91,7 +68,5 @@
     /**
      * Returns a numeric month given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int month (e.g. 9)
      * @access protected
@@ -105,7 +80,5 @@
     /**
      * Returns a numeric day given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int day (e.g. 15)
      * @access protected
@@ -119,7 +92,5 @@
     /**
      * Returns a numeric hour given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int hour (e.g. 13)
      * @access protected
@@ -133,7 +104,5 @@
     /**
      * Returns a numeric minute given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int minute (e.g. 34)
      * @access protected
@@ -147,7 +116,5 @@
     /**
      * Returns a numeric second given a iso-8601 datetime
-     *
-     * @param string $stamp iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
-     *
+     * @param string iso-8601 datetime (YYYY-MM-DD HH:MM:SS)
      * @return int second (e.g. 51)
      * @access protected
@@ -161,12 +128,10 @@
     /**
      * Returns a iso-8601 datetime
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (13)
-     * @param int $h hour (13)
-     * @param int $i minute (34)
-     * @param int $s second (53)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (13)
+     * @param int hour (13)
+     * @param int minute (34)
+     * @param int second (53)
      * @return string iso-8601 datetime
      * @access protected
@@ -186,13 +151,10 @@
     /**
      * Set the correct date values (useful for math operations on dates)
-     *
-     * @param int &$y year   (2003)
-     * @param int &$m month  (9)
-     * @param int &$d day    (13)
-     * @param int &$h hour   (13)
-     * @param int &$i minute (34)
-     * @param int &$s second (53)
-     *
-     * @return void
+     * @param int year   (2003)
+     * @param int month  (9)
+     * @param int day    (13)
+     * @param int hour   (13)
+     * @param int minute (34)
+     * @param int second (53)
      * @access protected
      */
@@ -248,5 +210,4 @@
     /**
      * The upper limit on years that the Calendar Engine can work with
-     *
      * @return int 9999
      * @access protected
@@ -259,5 +220,4 @@
     /**
      * The lower limit on years that the Calendar Engine can work with
-     *
      * @return int 0
      * @access protected
@@ -270,7 +230,4 @@
     /**
      * Returns the number of months in a year
-     *
-     * @param int $y year
-     *
      * @return int (12)
      * @access protected
@@ -283,8 +240,6 @@
     /**
      * Returns the number of days in a month, given year and month
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     *
+     * @param int year (2003)
+     * @param int month (9)
      * @return int days in month
      * @access protected
@@ -298,8 +253,6 @@
      * Returns numeric representation of the day of the week in a month,
      * given year and month
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     *
+     * @param int year (2003)
+     * @param int month (9)
      * @return int from 0 to 7
      * @access protected
@@ -312,13 +265,11 @@
     /**
      * Returns the number of days in a week
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int (7)
      * @access protected
      */
-    function getDaysInWeek($y=null, $m=null, $d=null)
+    function getDaysInWeek($y=NULL, $m=NULL, $d=NULL)
     {
         return 7;
@@ -327,9 +278,7 @@
     /**
      * Returns the number of the week in the year (ISO-8601), given a date
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int week number
      * @access protected
@@ -337,17 +286,13 @@
     function getWeekNInYear($y, $m, $d)
     {
-        //return Date_Calc::weekOfYear($d, $m, $y); //beware, Date_Calc doesn't follow ISO-8601 standard!
-        list($nYear, $nWeek) = Date_Calc::weekOfYear4th($d, $m, $y);
-        return $nWeek;
+        return Date_Calc::weekOfYear($d, $m, $y); //beware, Date_Calc doesn't follow ISO-8601 standard!
     }
 
     /**
      * Returns the number of the week in the month, given a date
-     *
-     * @param int $y        year (2003)
-     * @param int $m        month (9)
-     * @param int $d        day (4)
-     * @param int $firstDay first day of the week (default: monday)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
+     * @param int first day of the week (default: monday)
      * @return int week number
      * @access protected
@@ -367,9 +312,7 @@
     /**
      * Returns the number of weeks in the month
-     *
-     * @param int $y        year (2003)
-     * @param int $m        month (9)
-     * @param int $firstDay first day of the week (default: monday)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int first day of the week (default: monday)
      * @return int weeks number
      * @access protected
@@ -395,9 +338,7 @@
     /**
      * Returns the number of the day of the week (0=sunday, 1=monday...)
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int weekday number
      * @access protected
@@ -410,13 +351,11 @@
     /**
      * Returns a list of integer days of the week beginning 0
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return array (0, 1, 2, 3, 4, 5, 6) 1 = Monday
      * @access protected
      */
-    function getWeekDays($y=null, $m=null, $d=null)
+    function getWeekDays($y=NULL, $m=NULL, $d=NULL)
     {
         return array(0, 1, 2, 3, 4, 5, 6);
@@ -425,13 +364,11 @@
     /**
      * Returns the default first day of the week
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
+     * @param int year (2003)
+     * @param int month (9)
+     * @param int day (4)
      * @return int (default 1 = Monday)
      * @access protected
      */
-    function getFirstDayOfWeek($y=null, $m=null, $d=null)
+    function getFirstDayOfWeek($y=NULL, $m=NULL, $d=NULL)
     {
         return 1;
@@ -440,9 +377,4 @@
     /**
      * Returns the number of hours in a day
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     *
      * @return int (24)
      * @access protected
@@ -455,10 +387,4 @@
     /**
      * Returns the number of minutes in an hour
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     * @param int $h hour
-     *
      * @return int (60)
      * @access protected
@@ -471,11 +397,4 @@
     /**
      * Returns the number of seconds in a minutes
-     *
-     * @param int $y year (2003)
-     * @param int $m month (9)
-     * @param int $d day (4)
-     * @param int $h hour
-     * @param int $i minute
-     *
      * @return int (60)
      * @access protected
@@ -484,25 +403,4 @@
     {
         return 60;
-    }
-
-    /**
-     * Checks if the given day is the current day
-     *
-     * @param mixed $stamp Any timestamp format recognized by Pear::Date
-     *
-     * @return boolean
-     * @access protected
-     */
-    function isToday($stamp)
-    {
-        static $today = null;
-        if (is_null($today)) {
-            $today = new Date();
-        }
-        $date = Calendar_Engine_PearDate::stampCollection($stamp);
-        return (   $date->day == $today->getDay()
-                && $date->month == $today->getMonth()
-                && $date->year == $today->getYear()
-        );
     }
 }
